Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezcalendar/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 6926 2001-09-04 12:05:47Z jhe $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 switch ( $url_array[2] )
28 {
29 case "typelist":
30 {
31 include( "kernel/ezcalendar/admin/typelist.php" );
32 }
33 break;
34
35 case "typeedit" :
36 {
37 if ( $url_array[3] == "edit" )
38 {
39 $Action = "Edit";
40 $TypeID = $url_array[4];
41 }
42 else if ( $url_array[3] == "delete" )
43 {
44 $Action = "Delete";
45 $TypeID = $url_array[4];
46 }
47 else if ( $url_array[3] == "new" )
48 {
49 $Action = "New";
50 }
51
52 include( "kernel/ezcalendar/admin/typeedit.php" );
53 }
54 break;
55
56 default :
57 {
58 // go to default module page or show an error message
59 print( "Error: your page request was not found" );
60 }
61 }
62
63 ?>
$Action
$Action
Definition: companysearch.php:80
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.